Back to TikTok
Apify·TikTok

TikTok Comments Scraper

/clockworks/tiktok-comments-scraperasync$0.003 / result

Extract TikTok comments. Just add a TikTok URL and get TikTok video and profile data: comments, URLs, numbers of shares, followers, hashtags, hearts, video, and music metadata. Export scraped data, run the scraper via API, schedule and monitor runs or integrate with other tools. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • postURLsarray

    Add the video URLs you want to extract comments from. Enter URLs one by one or edit it in bulk.

  • commentsPerPostinteger

    The number of comments extracted from every result. Due to TikTok API limitations, the actual number of scraped comments may differ, especially for posts with thousands of comments.

  • topLevelCommentsPerPostinteger

    The maximum number of top-level (non-reply) comments you want from a single post.

  • maxRepliesPerCommentinteger

    The maximum number of replies you want from a single comment. Note: Successful extraction of all desired replies is currently not guaranteed.

  • profilesarray

    Add one or multiple TikTok usernames you want to scrape. You can enter the usernames one by one, or use the Bulk edit section to add a prepared list.

  • resultsPerPageinteger

    Add the number of videos you want to scrape per profile. (default 1)

  • profileScrapeSectionsarray

    If a profile has reposted videos, you can scrape them by selecting Reposts (default ["videos"])

  • profileSortingstring

    Select Latest to scrape the most recent videos first, Oldest - the oldest videos first, Popular - the most popular videos first. Date filters only work with Latest and Oldest. Note: Popular sorting is limited by TikTok to approximately 400–500 videos per profile and may return significantly fewer re (default "latest")

    latest, popular, oldest

  • oldestPostDateUnifiedstring

    Optional filter. Only videos uploaded after or on this date will be scraped. Alternatively, specify how old the scraped videos should be in days. Putting 1 will get you only today's posts, 2 - yesterday's and today's, and so on.

  • newestPostDatestring

    Optional filter. Only videos uploaded before or on this date will be scraped.

  • excludePinnedPostsboolean

    Tick to exclude pinned posts from profiles. Pinned posts are usually the first videos on a profile's page. (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/clockworks/tiktok-comments-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.